rosbag2_bagfile_information:
  compression_format: ''
  compression_mode: ''
  custom_data: {}
  duration:
    nanoseconds: 531896096855
  files:
  - duration:
      nanoseconds: 531896096855
    message_count: 185347
    path: 2017-11-03-16-15-34_0.db3
    starting_time:
      nanoseconds_since_epoch: 1509722134204356172
  message_count: 185347
  relative_file_paths:
  - 2017-11-03-16-15-34_0.db3
  starting_time:
    nanoseconds_since_epoch: 1509722134204356172
  storage_identifier: sqlite3
  topics_with_message_count:
  - message_count: 14
    topic_metadata:
      name: /rosout
      offered_qos_profiles: "- history: 3\n  depth: 0\n  reliability: 1\n  durability:
        1\n  deadline:\n    sec: 2147483647\n    nsec: 4294967295\n  lifespan:\n    sec:
        2147483647\n    nsec: 4294967295\n  liveliness: 1\n  liveliness_lease_duration:\n
        \   sec: 2147483647\n    nsec: 4294967295\n  avoid_ros_namespace_conventions:
        false"
      serialization_format: cdr
      type: rosgraph_msgs/msg/Log
  - message_count: 1
    topic_metadata:
      name: /velodyne_nodelet_manager_cloud/parameter_descriptions
      offered_qos_profiles: "- history: 3\n  depth: 0\n  reliability: 1\n  durability:
        1\n  deadline:\n    sec: 2147483647\n    nsec: 4294967295\n  lifespan:\n    sec:
        2147483647\n    nsec: 4294967295\n  liveliness: 1\n  liveliness_lease_duration:\n
        \   sec: 2147483647\n    nsec: 4294967295\n  avoid_ros_namespace_conventions:
        false"
      serialization_format: cdr
      type: dynamic_reconfigure/msg/ConfigDescription
  - message_count: 1
    topic_metadata:
      name: /velodyne_nodelet_manager_driver/parameter_updates
      offered_qos_profiles: "- history: 3\n  depth: 0\n  reliability: 1\n  durability:
        1\n  deadline:\n    sec: 2147483647\n    nsec: 4294967295\n  lifespan:\n    sec:
        2147483647\n    nsec: 4294967295\n  liveliness: 1\n  liveliness_lease_duration:\n
        \   sec: 2147483647\n    nsec: 4294967295\n  avoid_ros_namespace_conventions:
        false"
      serialization_format: cdr
      type: dynamic_reconfigure/msg/Config
  - message_count: 1
    topic_metadata:
      name: /velodyne_nodelet_manager_driver/parameter_descriptions
      offered_qos_profiles: "- history: 3\n  depth: 0\n  reliability: 1\n  durability:
        1\n  deadline:\n    sec: 2147483647\n    nsec: 4294967295\n  lifespan:\n    sec:
        2147483647\n    nsec: 4294967295\n  liveliness: 1\n  liveliness_lease_duration:\n
        \   sec: 2147483647\n    nsec: 4294967295\n  avoid_ros_namespace_conventions:
        false"
      serialization_format: cdr
      type: dynamic_reconfigure/msg/ConfigDescription
  - message_count: 26527
    topic_metadata:
      name: /scan
      offered_qos_profiles: ''
      serialization_format: cdr
      type: sensor_msgs/msg/LaserScan
  - message_count: 1
    topic_metadata:
      name: /velodyne_nodelet_manager_cloud/parameter_updates
      offered_qos_profiles: "- history: 3\n  depth: 0\n  reliability: 1\n  durability:
        1\n  deadline:\n    sec: 2147483647\n    nsec: 4294967295\n  lifespan:\n    sec:
        2147483647\n    nsec: 4294967295\n  liveliness: 1\n  liveliness_lease_duration:\n
        \   sec: 2147483647\n    nsec: 4294967295\n  avoid_ros_namespace_conventions:
        false"
      serialization_format: cdr
      type: dynamic_reconfigure/msg/Config
  - message_count: 45799
    topic_metadata:
      name: /joy
      offered_qos_profiles: ''
      serialization_format: cdr
      type: sensor_msgs/msg/Joy
  - message_count: 5299
    topic_metadata:
      name: /sonar
      offered_qos_profiles: ''
      serialization_format: cdr
      type: p2os_msgs/msg/SonarArray
  - message_count: 5299
    topic_metadata:
      name: /dio
      offered_qos_profiles: ''
      serialization_format: cdr
      type: p2os_msgs/msg/DIO
  - message_count: 5299
    topic_metadata:
      name: /motor_state
      offered_qos_profiles: ''
      serialization_format: cdr
      type: p2os_msgs/msg/MotorState
  - message_count: 5299
    topic_metadata:
      name: /gripper_state
      offered_qos_profiles: ''
      serialization_format: cdr
      type: p2os_msgs/msg/GripperState
  - message_count: 5299
    topic_metadata:
      name: /battery_state
      offered_qos_profiles: ''
      serialization_format: cdr
      type: p2os_msgs/msg/BatteryState
  - message_count: 5299
    topic_metadata:
      name: /tf
      offered_qos_profiles: ''
      serialization_format: cdr
      type: tf2_msgs/msg/TFMessage
  - message_count: 5299
    topic_metadata:
      name: /aio
      offered_qos_profiles: ''
      serialization_format: cdr
      type: p2os_msgs/msg/AIO
  - message_count: 5299
    topic_metadata:
      name: /ptz_state
      offered_qos_profiles: ''
      serialization_format: cdr
      type: p2os_msgs/msg/PTZState
  - message_count: 5299
    topic_metadata:
      name: /pose
      offered_qos_profiles: ''
      serialization_format: cdr
      type: nav_msgs/msg/Odometry
  - message_count: 2125
    topic_metadata:
      name: /velodyne_nodelet_manager/bond
      offered_qos_profiles: ''
      serialization_format: cdr
      type: bond/msg/Status
  - message_count: 45787
    topic_metadata:
      name: /cmd_vel
      offered_qos_profiles: ''
      serialization_format: cdr
      type: geometry_msgs/msg/Twist
  - message_count: 5273
    topic_metadata:
      name: /joy_teleop/output
      offered_qos_profiles: ''
      serialization_format: cdr
      type: sensor_msgs/msg/PointCloud2
  - message_count: 5272
    topic_metadata:
      name: /velodyne_packets
      offered_qos_profiles: ''
      serialization_format: cdr
      type: velodyne_msgs/msg/VelodyneScan
  - message_count: 5272
    topic_metadata:
      name: /velodyne_points
      offered_qos_profiles: ''
      serialization_format: cdr
      type: sensor_msgs/msg/PointCloud2
  - message_count: 1583
    topic_metadata:
      name: /diagnostics
      offered_qos_profiles: ''
      serialization_format: cdr
      type: diagnostic_msgs/msg/DiagnosticArray
  version: 6
